For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all accounting entities
        • GETGet accounting entity by id
        • GETGet all invoices
        • GETGet an invoice by ID
        • POSTCreate Invoice: Buildium
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
BuildiumInvoices

Create Invoice: Buildium

POST
/v1/invoices/buildium/
POST
/v1/invoices/buildium/
$curl -X POST https://api.propexo.com/v1/invoices/buildium/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
> "vendor_id": "vend-1234567890abcdef",
> "invoice_date": "2024-01-15T09:30:00Z",
> "due_date": "2024-02-14T23:59:59Z",
> "invoice_items": [
> {
> "financial_account_id": "finacct-9876543210fedcba",
> "property_id": "prop-1122334455667788",
> "total_amount_in_cents": 150000
> }
> ]
>}'
1{
2 "meta": {
3 "job_id": "job-20240115-abcdef123456"
4 },
5 "result": {
6 "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
7 "vendor_id": "vend-1234567890abcdef",
8 "invoice_date": "2024-01-15T09:30:00Z",
9 "due_date": "2024-02-14T23:59:59Z",
10 "invoice_items": [
11 {
12 "financial_account_id": "finacct-9876543210fedcba",
13 "property_id": "prop-1122334455667788",
14 "total_amount_in_cents": 150000,
15 "unit_id": "unit-556677889900aabb",
16 "notes": "Monthly maintenance fee for January 2024",
17 "total_mark_up_amount_in_cents": 15000,
18 "mark_up_percentage": 10,
19 "mark_up_type": "Percent"
20 }
21 ],
22 "description": "Invoice for property maintenance services rendered in January 2024",
23 "invoice_number": "INV-2024-000123",
24 "service_request_id": "sr-20240110-xyz987654321"
25 }
26}
Create Invoice: Buildium | Interface | Method | |---|---| | Invoices | POST /bills | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Create Lead: Buildium - Not Supported

Next
Built with

Create Invoice: Buildium

InterfaceMethod
InvoicesPOST /bills
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
vendor_idstringRequired
The Propexo unique identifier for the vendor
invoice_datestringRequired
The date of issuance for the invoice
due_datestringRequired
The due date associated with the invoice
invoice_itemslist of objectsRequired
descriptionstringOptional
Description of the invoice
invoice_numberstringOptional
The invoice or reference number that the vendor assigned to the service request
service_request_idstringOptional
The Propexo unique identifier for the service request

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error